### Constructor

# Gsk.ClipNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_clip_node_new (
      GskRenderNode* child,
      const graphene_rect_t* clip
    )

#### Description [src]

Creates a `GskRenderNode` that will clip the `child` to the area given by `clip`.

#### Parameters

`child` | `GskRenderNode`
| The node to draw
| Ownership is not transferred to the callee
`clip` | `const graphene_rect_t*`
| The clip to apply
| Ownership is not transferred to the callee

#### Return value

Returns: `GskClipNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller